petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCGalerkinSetRestriction

Sets the restriction operator for the "Galerkin-type" preconditioner

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  PCGalerkinSetRestriction(PC pc,Mat R)

Logically Collective on PC Many br

### Input Parameter

| pc | - the preconditioner context Many br
| R | - the restriction operator Many br

Notes: Either this or PCGalerkinSetInterpolation() or both must be called Many br

Many br

### Keywords

PC, set, Galerkin preconditioner

### See Also

PCCreate(), PCSetType(), PCType (for list of available types), PCGALERKIN,
PCGalerkinSetInterpolation(), PCGalerkinGetKSP() Many br

Level:Intermediate
Location:src/ksp/pc/impls/galerkin/galerkin.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages